Bug 1569672 - Deprecate katello-backup, and katello-restore in Satellite 6.3
Summary: Deprecate katello-backup, and katello-restore in Satellite 6.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Backup & Restore
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1567884
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 18:36 UTC by John Mitsch
Modified: 2019-09-25 21:21 UTC (History)
7 users (show)

Fixed In Version: satellite-6.3.4-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-11 15:18:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2915 0 None None None 2018-10-11 15:18:44 UTC

Description John Mitsch 2018-04-19 18:36:09 UTC
Description of problem:

katello-service, katello-backup, and katello-restore functionality is going to be in foreman-maintain in 6.4. The original katello-* and satellite-* scripts will still live in 6.4, but we should deprecate them and remove them in 6.5 since they will be removed upstream.

Version-Release number of selected component (if applicable):
6.4

Comment 2 John Mitsch 2018-04-30 20:11:51 UTC
After a off-thread discussion, we have decided to remove the original katello-backup/restore scripts in 6.4 and deprecate them in 6.3.

Brad, can you update the flags for 6.3?

Comment 3 Mike McCune 2018-04-30 20:20:22 UTC
this would be 6.3.z only with a DEPRECATION WARNING in the output of katello-backup/restore but have zero effect on the actual functionality of the 2 tools.

Comment 12 jcallaha 2018-09-24 17:41:51 UTC
Verified in Satellite 6.3.4 Snap 2


-bash-4.2# satellite-backup --help
DEPRECATION WARNING: satellite-backup and katello-backup will be removed in Satellite 6.4, where they will be replaced by foreman-maintain
Usage: satellite-backup /path/to/dir [options]
 eg: $ satellite-backup /tmp/satellite-backup
        --skip-pulp-content          Create backup without Pulp content for debugging only
        --incremental PREVIOUS_BACKUP_DIR
                                     Backup changes since previous backup
        --online-backup              Keep services online during backup
        --logical-db-backup          Also dump full database schema during offline backup
        --snapshot                   Use snapshots of the databases to create backup
        --snapshot-mount-dir SNAPSHOT_MOUNT_LOCATION
                                     Override default directory (/var/snap/) where the snapshots will be mounted
        --snapshot-size SNAPSHOT_BLOCK_DEVICE_SIZE
                                     Override default block size (2G)
        --features FEATURES          Capsule features to include in the backup, please specify a list with commas. Valid features are tftp, dns, dhcp, openscap, and all.
        --preserve-directory         Do not create a time-stamped subdirectory
    -y, --assumeyes                  Bypass interaction by answering yes



-bash-4.2# satellite-restore --help
DEPRECATION WARNING: satellite-restore and katello-restore will be removed in Satellite 6.4, where they will be replaced by foreman-maintain
Usage: satellite-restore /path/to/dir [options]
 eg: $ satellite-restore /tmp/backup/satellite-backup-20171002150106
    -i, --incremental                Restore an incremental backup
    -y, --assumeyes                  Answer yes for all questions

Comment 14 errata-xmlrpc 2018-10-11 15:18:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2915


Note You need to log in before you can comment on or make changes to this bug.